> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetDialogflowKeys POST https://api.voximplant.com/platform_api/GetDialogflowKeys Gets Dialogflow keys. Allowed roles: `Owner`, `Admin`, `Developer`. **Example request:** Get push credentials. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/dialogflow-credentials/get-dialogflow-keys ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `dialogflow_key_id` (integer, optional) — Dialogflow key's ID - `application_name` (string, optional) — Name of the bound application - `application_id` (integer, optional) — ID of the bound application ## Response ### 200 Successful response - `result` (list of DialogflowKeyInfo, optional) ## Types ### DialogflowKeyInfo The Dialogflow keys list info. - `dialogflow_key_id` (integer, optional) — The Dialogflow key's id - `content` (DialogflowKey, optional) — The key's content - `applications` (list of ApplicationInfoType, optional) — Bound applications ### DialogflowKey The [Dialogflow](/api-reference/management-api/reference/dialogflow-credentials) key's content. - `project_id` (string, optional) — The project ID from Json Web Key ### ApplicationInfoType The [GetApplications] function result. - `application_id` (integer, optional) — The application ID - `application_name` (string, optional) — The full application name - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The application editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `secure_record_storage` (boolean, optional) — Whether a secure storage for logs and records is enabled ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "dialogflow_key_id": 42, "content": { "project_id": "customer-support-voximplant" }, "applications": [ { "application_id": 101, "application_name": "customer.support.voximplant.com", "modified": "2024-05-20 14:45:00", "secure_record_storage": true } ] } ] } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetDialogflowKeys" querystring = {"dialogflow_key_id":"42","application_name":"customer.support.voximplant.com","application_id":"101"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```